commit:     4f447c310247937d69d99e2678a927f2ee5d6090
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 12 02:37:38 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 12 02:49:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f447c31

app-forensics/chkrootkit: add 0.55

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-forensics/chkrootkit/Manifest               |  1 +
 app-forensics/chkrootkit/chkrootkit-0.55.ebuild | 58 +++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/app-forensics/chkrootkit/Manifest 
b/app-forensics/chkrootkit/Manifest
index edd2a8cc410..32241322500 100644
--- a/app-forensics/chkrootkit/Manifest
+++ b/app-forensics/chkrootkit/Manifest
@@ -1,2 +1,3 @@
 DIST chkrootkit-0.54-gentoo.diff.xz 4848 BLAKE2B 
25d1736bb839533fae36550518b311e52bb38f8a562a63d40629789dc9497b6e71dbc306d1f845b6a5cd586468afa6a7ac4ce8b6f1bfb40d7ac9b0331a55def9
 SHA512 
6c972b081794681b61b7c67f9a5762ba5d2c0c731c9a2bf9f75e715984edf7022ddcd44d34803eacb58a59e8b21932ffb586cc9fb7998a43393367c2530e353e
 DIST chkrootkit-0.54.tar.gz 41461 BLAKE2B 
61384fda7db08ca2a52ab060ee4ea3edb7311cb9908599a511459dac22340f28e75d732b10d827aaeed89a1ecb6fc7f69ab8fef970aae5a73bae8c7949944831
 SHA512 
fe8955ac33abaabf304f5580b6f12929f8bf02329ab442380eaa6298440cf1cb0eee2db8e5667ea7d78b89ee2bceb82c10ebb732a71d6bcdda9400569cd587fd
+DIST chkrootkit-0.55.tar.gz 42630 BLAKE2B 
0e6bc4d411a7836cd8ab72782027e5bd80b5c8845d8de1f48ff57bc0617a368cff2471835a66c30d007f4cfc243639110e0c39e02eecc3ec9c5c0a66a4b7891b
 SHA512 
742dca90a761ecff149d8704cb3a252adfe8f9d5e15dd060e9db4d5f6dcd3820933ae13cbee99ea5a8c6144932cf97c0616a177af3ba5a1726b51bb304e7d63e

diff --git a/app-forensics/chkrootkit/chkrootkit-0.55.ebuild 
b/app-forensics/chkrootkit/chkrootkit-0.55.ebuild
new file mode 100644
index 00000000000..2ed962c60a0
--- /dev/null
+++ b/app-forensics/chkrootkit/chkrootkit-0.55.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+GENTOO_PATCH="${PN}-0.54-gentoo.diff"
+
+DESCRIPTION="Tool to locally check for signs of a rootkit"
+HOMEPAGE="http://www.chkrootkit.org/";
+SRC_URI="ftp://ftp.pangeia.com.br/pub/seg/pac/${P}.tar.gz
+       https://dev.gentoo.org/~polynomial-c/${GENTOO_PATCH}.xz";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="+cron"
+
+RDEPEND="cron? ( virtual/cron )"
+
+PATCHES=(
+       "${WORKDIR}/${GENTOO_PATCH}"
+)
+
+src_prepare() {
+       default
+       sed -e 's:/var/adm/:/var/log/:g' \
+               -i chklastlog.c || die
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" STRIP=true sense
+}
+
+src_install() {
+       dosbin chkdirs chklastlog chkproc chkrootkit chkwtmp chkutmp ifpromisc 
strings-static
+       dodoc ACKNOWLEDGMENTS README*
+
+       if use cron ; then
+               exeinto /etc/cron.weekly
+               newexe "${FILESDIR}"/${PN}.cron ${PN}
+       fi
+}
+
+pkg_postinst() {
+       if use cron ; then
+               elog
+               elog "Edit /etc/cron.weekly/chkrootkit to activate chkrootkit!"
+               elog
+       fi
+
+       elog
+       elog "Some applications, such as portsentry, will cause chkrootkit"
+       elog "to produce false positives.  Read the chkrootkit FAQ at"
+       elog "http://www.chkrootkit.org/ for more information."
+       elog
+}

Reply via email to